import request from './request'

// 最新工单
export function getListApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/list',
    method: 'get'
  })
}
// 统计
export function getDetailApi(id) {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/detail/'+id,
    method: 'get'
  })
}
// 统计
export function getTotalApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/total',
    method: 'get'
  })
}

// 工单总数(折线图)
export function getLineChartApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/lineChart',
    method: 'get'
  })
}

// 工单完成比例
export function getCompleteRateApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/completeRate',
    method: 'get'
  })
}

// 工单景区占比
export function getSpotRateApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/spotRate',
    method: 'get'
  })
}

// 工单类型占比
export function getTypeRateApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/workorder/typeRate',
    method: 'get'
  })
}
